From: <a href="/blend/av.cgi?id=1050">Kase</a><BR>
Date: 22 July 2003<P>

Misti,<BR>
Nice choice with the ink.  I've got the man in the moon on my left hip, so no one see it unless I show them or wear a bikini.  I want to get some tribal art on my lower back some time soon, then no more tats for me.  With mine being on my hip, then getting pregant within two years after I had it done, well, it stretched.  After the pregnancy, it went back pretty much to looking like it did before, but I still needed touch up work.    Have fun.
<HR>